Page MenuHomePhabricator

[Epic] Provide a mechanism for registering new data types.
Closed, ResolvedPublic

Description

There should be an extension point for definign new data types. Currently, data types are hard coded in several places, at least:

  • In WikiBaseDataTypeBuilders
  • In WikibaseRepo, when initializing the DeserializerFactory
  • in Wikibase.php, when setting up $wgValueParsers

And probably more places, for JS, etc.

For DataTypes, we have:

  • DataValueFactory
  • WikibaseValueFormatterBuilders

Event Timeline

daniel created this task.Feb 3 2015, 6:34 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 6:34 PM
despens added a subscriber: despens.Feb 3 2015, 6:34 PM
Lydia_Pintscher triaged this task as Low priority.Feb 4 2015, 3:23 PM
Lydia_Pintscher added a project: patch-welcome.
Lydia_Pintscher set Security to None.
Jonas renamed this task from Provide a mechanism for registering new data types. to [Epic] Provide a mechanism for registering new data types..Sep 10 2015, 1:42 PM
Tobi_WMDE_SW closed this task as Resolved.Nov 2 2015, 2:52 PM
Tobi_WMDE_SW claimed this task.

T110214 is related but closing this now.

Was this bug marked as resolved because it is is effectively equivalent to T104329? If so maybe one should state that so that people can find the solution to the problem described in the bug report.